#ifndef C_SHD_COMP_OVER_H__
#define C_SHD_COMP_OVER_H__

#include "../cShader_CG.h"


class cShdCompOver: public cShader_CG {
public:
	cShdCompOver( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof );

public:
	void init_parameters() {}

protected:
	void enable_parameters() {}
	void disable_parameters() {}
};


//////////////////////////////////////////////////////////////////////////

inline
cShdCompOver::cShdCompOver( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof ) \
	: cShader_CG(_context, _vprof, _fprof)
{
	load_from_files( "cg_comp_over_vert.cg", "cg_comp_over_frag.cg" );

	return;
}


#endif
